Bug 99294 - [PATCH][OPTIONS] multimedia/xvid options fixing
Summary: [PATCH][OPTIONS] multimedia/xvid options fixing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Nottebrock
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-22 11:30 UTC by Arseny Nasokin
Modified: 2006-06-26 17:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arseny Nasokin 2006-06-22 11:30:14 UTC
Options fixing

Fix: 

-.if defined(WITH_OPTIMIZED_CFLAGS)
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_OPTIMIZED_CFLAGS) && ! defined(WITHOUT_OPTIMIZED_CFLAGS)
 CFLAGS=                # let xvid's build system decide about those
 .endif

 post-install:
        @ ${LN} -sf ${PREFIX}/lib/libxvidcore.so.4 ${PREFIX}/lib/libxvidcore.so

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>--luZnnMQzhUK1JVJha7X4Xz42RmyWzWq9Vvc9zyNQVEtSlkEd
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/xvid/Makefile,v
retrieving revision 1.22
diff -d -u -r1.22 Makefile
--- Makefile    23 Jan 2006 08:28:54 -0000      1.22
+++ Makefile    22 Jun 2006 10:22:17 -0000
@@ -20,14 +20,16 @@
 GNU_CONFIGURE= yes
 INSTALLS_SHLIB=        yes
 USE_GCC?=      3.4
-
+OPTIONS=       OPTIMIZED_CFLAGS "Enable some optimisations" off
 WRKSRC=                        ${WRKDIR}/${DISTNAME}/build/generic
Comment 1 Edwin Groothuis freebsd_committer 2006-06-22 11:30:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lofi

Over to maintainer
Comment 2 Michael Nottebrock freebsd_committer 2006-06-26 17:21:53 UTC
State Changed
From-To: open->closed

Committed, thanks!